summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexey Shvetsov <alexxy@gentoo.org>2018-11-09 17:13:43 +0300
committerAlexey Shvetsov <alexxy@gentoo.org>2018-11-09 17:20:29 +0300
commitc1ae65a3b330e0a4eb98243b0d35434abacb4771 (patch)
treed23cf9c4628b5fd6378f400e6861acb562fc86f9
parentdev-python/pecan: eapi7 + py3_7 (diff)
downloadgentoo-c1ae65a3b330e0a4eb98243b0d35434abacb4771.tar.gz
gentoo-c1ae65a3b330e0a4eb98243b0d35434abacb4771.tar.bz2
gentoo-c1ae65a3b330e0a4eb98243b0d35434abacb4771.zip
dev-python/prettytable: py3_7 + eapi7
Package-Manager: Portage-2.3.51, Repoman-2.3.12 Signed-off-by: Alexey Shvetsov <alexxy@gentoo.org>
-rw-r--r--dev-python/prettytable/prettytable-0.7.2-r1.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/dev-python/prettytable/prettytable-0.7.2-r1.ebuild b/dev-python/prettytable/prettytable-0.7.2-r1.ebuild
new file mode 100644
index 00000000000..ab4c1ba7e98
--- /dev/null
+++ b/dev-python/prettytable/prettytable-0.7.2-r1.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Easily displaying tabular data in a visually appealing ASCII table format"
+HOMEPAGE="https://code.google.com/p/prettytable/"
+SRC_URI="mirror://pypi/P/PrettyTable/${P}.tar.bz2"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="test"
+
+DEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+RDEPEND=""
+
+python_test() {
+ "${PYTHON}" prettytable_test.py || die "tests failed under ${EPYTHON}"
+}